Bug 1124408 - Firewalld shoud not swap ports in ranges high-low
Summary: Firewalld shoud not swap ports in ranges high-low
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1017034
TreeView+ depends on / blocked
 
Reported: 2014-07-29 12:43 UTC by Jakub Jelen
Modified: 2016-07-19 11:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:58:50 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2014-07-29 12:43:52 UTC
Description of problem:
In current version of firewalld, it is possible and valid to write

# firewall-cmd --add-port=120-100

which causes in iptables in

-A IN_public_allow -p tcp -m tcp --dport 100:120 ...

Swapping port ranges was removed from iptables back in 2002 (see to bz1124382) and I think that it will lead only to mistakes.

Some says that this is useful feature, but I don't see any gain in this feature.

Another option was to allow this, but to trigger some Warning message to inform user that this is maybe not what he wanted.


Version-Release number of selected component (if applicable):
upstream git

How reproducible:
deterministic

Comment 1 Jaroslav Reznik 2015-03-03 16:09:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:58:50 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.